<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class NoCmsAnb extends CmsAnb
{
  public function rewriteUrl(URLParameterBasis $urlparam): string
  {
    $kwurl = $this->getKuferWebUrl();
    $prefix = substr($kwurl, 0, strrpos($kwurl, '/'));

    return $prefix . '/webbasys/' . $urlparam->getStandardLink();
  }

  public function getKuferWebUrl()
  {
    return str_replace('webbasys/index.php', '', SERVER_PFAD);
  }

  public function includeJs(string $handle, string $jsPath): void
  {
    KwAssetCollector::getInstance()->includeJs($handle, $jsPath);
  }

  public function includeCss(string $handle, string $cssPath): void
  {
    KwAssetCollector::getInstance()->includeCss($handle, $cssPath);
  }

  public function getKursCanonicalLink($knr, $kursname): string
  {
    \Logger::logg(__CLASS__.'::getKursCanonicalLink() ist nicht implementiert', 3010);
    return '';
  }
}